package com.ux.video.file.filerecovery.photo

import com.ux.video.file.filerecovery.R
import com.ux.video.file.filerecovery.base.BaseIngDialogFragment
import com.ux.video.file.filerecovery.databinding.DialogRecoveringBinding


/**
 * 恢复中弹窗
 */
class RecoveringDialogFragment(total: Int, complete:()-> Unit) : BaseIngDialogFragment(total,complete) {
    override fun initUi(binding: DialogRecoveringBinding) {
        binding.run {
            relativeLayout.setBackgroundResource(R.drawable.bg_rectangle_0048fd_top_20)
            tvType.text = getString(R.string.recovering)
            tvContent.text = getString(R.string.recovering_content)
            tvTotal.text = total.toString()
        }
    }


}
